Skip to main content
`Ctrl`+`K`

# PCMGGetAdaptInterpolation

Get the flag to adapt the interpolator based upon a vector space which should be accurately captured by the next coarser mesh, and thus accurately interpolated.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetAdaptInterpolation(PC pc, PetscBool *adapt)

Not Collective

## Input Parameter

- pc - the multigrid context

## Output Parameter

- adapt - flag for adaptation of the interpolator

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetAdaptInterpolation()`, `PCMGSetGalerkin()`, `PCMGGetAdaptCoarseSpaceType()`, `PCMGSetAdaptCoarseSpaceType()`

## Level

intermediate

## Location

src/ksp/pc/impls/mg/mg.c

## Implementations

PCMGGetAdaptInterpolation_MG() in src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages